diff --git a/old/html/multidic/app/webroot/administration/add_word.php b/old/html/multidic/app/webroot/administration/add_word.php
index a7ff6c0..03761b0 100644
--- a/old/html/multidic/app/webroot/administration/add_word.php
+++ b/old/html/multidic/app/webroot/administration/add_word.php
@@ -8,10 +8,10 @@ require_once("./administration/word.php");
   }
 
 
-if (Empty($_REQUEST['language']) || $_REQUEST['language'] == "") {
+if (Empty(@$_REQUEST['language']) || @$_REQUEST['language'] == "") {
   $krok = 0;
 }
-else if (Empty($_REQUEST['source']) || $_REQUEST['source'] == "") {
+else if (Empty(@$_REQUEST['source']) || @$_REQUEST['source'] == "") {
   $krok = 1;
 }
 else {
@@ -52,15 +52,15 @@ switch ($krok) {
     <form action="" method="POST" name="new_word_form1">
       <table>
       <tr class="akt">
-        <td><?php echo(get_source_chooser($_REQUEST['language']))?></td>
+        <td><?php echo(get_source_chooser(@$_REQUEST['language']))?></td>
       </tr>
       <tr class="nadpis_sekce">
         <td>
-          <input type="hidden" name="language" value="<?php echo $_REQUEST['language']?>">
-          <?php if ($_REQUEST['delete_from_not_found']):?>
+          <input type="hidden" name="language" value="<?php echo @$_REQUEST['language']?>">
+          <?php if (@$_REQUEST['delete_from_not_found']):?>
             <input type="hidden" name="delete_from_not_found" value="true">
-            <input type="hidden" name="table_not_found" value="<?php echo $_REQUEST['table_not_found']?>">
-            <input type="hidden" name="id_not_found" value="<?php echo $_REQUEST['id_not_found']?>">
+            <input type="hidden" name="table_not_found" value="<?php echo @$_REQUEST['table_not_found']?>">
+            <input type="hidden" name="id_not_found" value="<?php echo @$_REQUEST['id_not_found']?>">
           <?php else:?>
             <input type="hidden" name="delete_from_not_found" value="false">
           <?php endif;?>
@@ -80,9 +80,9 @@ switch ($krok) {
   
   $zobrazit_znovu = true;  
 
-    if (!Empty($_POST) && $_REQUEST['action'] == "insert_new_word") {
+    if (!Empty(@$_POST) && @$_REQUEST['action'] == "insert_new_word") {
 
-    $user = $_REQUEST['ses_IDuser'];
+    $user = @$_REQUEST['ses_IDuser'];
   
 
   
@@ -94,26 +94,26 @@ switch ($krok) {
    //   print_hlasku("Anglicky musíte vyplnit");
    // }
    // else 
-    if (Empty($_REQUEST['lection'])) {
+    if (Empty(@$_REQUEST['lection'])) {
       print_hlasku("Lekci musíte vyplnit");
     }
     //else if (strtolower($gender) != 'm' && strtolower($gender) != 'f' && !Empty($gender)) {
     //  print_hlasku("Rod musí obsahovat 'm' nebo 'f' nebo zůstat prázdný");
     //}
     else {
-      if (insert_word($_REQUEST['czech'],$_REQUEST['english'],$_REQUEST['word_category'],$_REQUEST['verbal_class'],$_REQUEST['present'],$_REQUEST['past'],$_REQUEST['valence'],$_REQUEST['root'],
-                      $_REQUEST['field'],$_REQUEST['language'],$_REQUEST['user'],$_REQUEST['source'],$_REQUEST['lection'], $_REQUEST['future'], $_REQUEST['infinitive'], $_REQUEST['gender'], $_REQUEST['vocalized'], $_REQUEST['nonvocalized'],
-                      $_REQUEST['word_category_foreign'], $_REQUEST['status_constructus_single'], $_REQUEST['status_constructus_plural'], $_REQUEST['single_adj_female'],
-                      $_REQUEST['plural_adj_female'], $_REQUEST['conjugation'], $_REQUEST['imperative'], $_REQUEST['prefix'], $_REQUEST['status_constructus_single_female'],
-		      $_REQUEST['status_constructus_plural_female'], $_REQUEST['czech_female'], $_REQUEST['single_female'], $_REQUEST['plural_female'],
-                      $_REQUEST['status_constructus_single_noun_female'], $_REQUEST['status_constructus_plural_noun_female'],
-		      $_REQUEST['nonvocalized_female'], $_REQUEST['nonvocalized_alternative'], $_REQUEST['vocalized_alternative'])) {
+      if (insert_word(@$_REQUEST['czech'],@$_REQUEST['english'],@$_REQUEST['word_category'],@$_REQUEST['verbal_class'],@$_REQUEST['present'],@$_REQUEST['past'],@$_REQUEST['valence'],@$_REQUEST['root'],
+                      @$_REQUEST['field'],@$_REQUEST['language'],@$_REQUEST['user'],@$_REQUEST['source'],@$_REQUEST['lection'], @$_REQUEST['future'], @$_REQUEST['infinitive'], @$_REQUEST['gender'], @$_REQUEST['vocalized'], @$_REQUEST['nonvocalized'],
+                      @$_REQUEST['word_category_foreign'], @$_REQUEST['status_constructus_single'], @$_REQUEST['status_constructus_plural'], @$_REQUEST['single_adj_female'],
+                      @$_REQUEST['plural_adj_female'], @$_REQUEST['conjugation'], @$_REQUEST['imperative'], @$_REQUEST['prefix'], @$_REQUEST['status_constructus_single_female'],
+		      @$_REQUEST['status_constructus_plural_female'], @$_REQUEST['czech_female'], @$_REQUEST['single_female'], @$_REQUEST['plural_female'],
+                      @$_REQUEST['status_constructus_single_noun_female'], @$_REQUEST['status_constructus_plural_noun_female'],
+		      @$_REQUEST['nonvocalized_female'], @$_REQUEST['nonvocalized_alternative'], @$_REQUEST['vocalized_alternative'])) {
           print_hlasku ("Slovíčko přidáno...");
       }
         
-      if ($_REQUEST['delete_from_not_found']== "true") {
+      if (@$_REQUEST['delete_from_not_found']== "true") {
         require_once("./administration/not_found.php");
-        if (delete_not_found($_REQUEST['table_not_found'], $_REQUEST['id_not_found'])) {
+        if (delete_not_found(@$_REQUEST['table_not_found'], @$_REQUEST['id_not_found'])) {
           print_hlasku ("a smazáno z nenalezených...");
         }
 
@@ -159,22 +159,21 @@ switch ($krok) {
     <thead align="center"> <h3 class="nadpis2">Vlož nové slovo</h3> </thead>
     <tbody>
     <form action="" method="POST" name="new_word_form" onSubmit="return validate_new_word_form(this)">
-      <table>
       <tr class="akt">
         <td>česky</td>
-        <td><input type="text" name="czech"  size="50"<?php znova($_REQUEST['czech'])?> /></td>
+        <td><input type="text" name="czech"  size="50"<?php znova(@$_REQUEST['czech'])?> /></td>
       </tr>
       <tr class="akt">
         <td>česky v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td><input type="text" name="czech_female"  size="50"<?php znova($_REQUEST['czech_female'])?> /></td>
+        <td><input type="text" name="czech_female"  size="50"<?php znova(@$_REQUEST['czech_female'])?> /></td>
       </tr>
       <tr class="akt">
         <td>anglicky</td>
-        <td><input type="text" name="english"  size="50"<?php znova($_REQUEST['english'])?> /></td>
+        <td><input type="text" name="english"  size="50"<?php znova(@$_REQUEST['english'])?> /></td>
       </tr>
       <tr class="akt">
         <td>druh slova v češtině</td>
-        <td><input type="text" name="word_category"  size="50"<?php znova($_REQUEST['word_category'])?> /></td>
+        <td><input type="text" name="word_category"  size="50"<?php znova(@$_REQUEST['word_category'])?> /></td>
       </tr>
       <tr class="akt">
         <td>seznam zkratek:</td>
@@ -217,75 +216,75 @@ switch ($krok) {
       <tr class="akt">
         <td>druh slova v cizím j.</td>
         <td>
-        <?php if($_REQUEST['language ']== 2): ?>
+        <?php if(@$_REQUEST['language ']== 2): ?>
             <select name="word_category_foreign">
                 
-                <option <?php echo (empty($_REQUEST['word_category_foreign']))? 'selected="selected" ' : ""?>value="">  </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "שם עצם")? 'selected="selected" ' : ""?>value="שם עצם"> ש"ע </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "מילת חיבור")? 'selected="selected" ' : ""?>value="מילת חיבור"> מ"ח </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "מילת קריאה")? 'selected="selected" ' : ""?>value="מילת קריאה"> מ"ק </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "פועל")? 'selected="selected" ' : ""?>value="פועל"> פ' </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "מילת יחס")? 'selected="selected" ' : ""?>value="מילת יחס"> מ"י </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "תואר הפועל")? 'selected="selected" ' : ""?>value="תואר הפועל"> תה"פ </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "שם מספר")? 'selected="selected" ' : ""?>value="שם מספר"> ש"מ </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "מילת שאלה")? 'selected="selected" ' : ""?>value="מילת שאלה"> מ"ש </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "מילת גוף")? 'selected="selected" ' : ""?>value="מילת גוף"> מ"ג </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "תואר")? 'selected="selected" ' : ""?>value="תואר"> ת' </option>
-                <option <?php echo ($_REQUEST['word_category_foreign ']=== "ביטוי")? 'selected="selected" ' : ""?>value="ביטוי">  ביטוי  </option>
+                <option <?php echo (empty(@$_REQUEST['word_category_foreign']))? 'selected="selected" ' : ""?>value="">  </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "שם עצם")? 'selected="selected" ' : ""?>value="שם עצם"> ש"ע </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "מילת חיבור")? 'selected="selected" ' : ""?>value="מילת חיבור"> מ"ח </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "מילת קריאה")? 'selected="selected" ' : ""?>value="מילת קריאה"> מ"ק </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "פועל")? 'selected="selected" ' : ""?>value="פועל"> פ' </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "מילת יחס")? 'selected="selected" ' : ""?>value="מילת יחס"> מ"י </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "תואר הפועל")? 'selected="selected" ' : ""?>value="תואר הפועל"> תה"פ </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "שם מספר")? 'selected="selected" ' : ""?>value="שם מספר"> ש"מ </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "מילת שאלה")? 'selected="selected" ' : ""?>value="מילת שאלה"> מ"ש </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "מילת גוף")? 'selected="selected" ' : ""?>value="מילת גוף"> מ"ג </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "תואר")? 'selected="selected" ' : ""?>value="תואר"> ת' </option>
+                <option <?php echo (@$_REQUEST['word_category_foreign ']=== "ביטוי")? 'selected="selected" ' : ""?>value="ביטוי">  ביטוי  </option>
                 
 
             </select>
         <?php else: ?>
-            <input type="text" name="word_category_foreign"  size="50"<?php znova($_REQUEST['word_category_foreign'])?> />
+            <input type="text" name="word_category_foreign"  size="50"<?php znova(@$_REQUEST['word_category_foreign'])?> />
         <?php endif;?>
         </td>
       </tr>
       <tr class="akt">
         <td>slovesná třída</td>
-        <td><input type="text" name="verbal_class"  size="50"<?php znova($_REQUEST['verbal_class'])?> /></td>
+        <td><input type="text" name="verbal_class"  size="50"<?php znova(@$_REQUEST['verbal_class'])?> /></td>
       </tr>
       <tr class="akt">
         <td>přítomný čas / množné číslo <br />všech podstatných jmen a <br />přídavných jmen mužského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="present"  
-               size="29"<?php znova($_REQUEST['present'])?>
+               size="29"<?php znova(@$_REQUEST['present'])?>
                onfocus="aktivujKlavesnici('new_word_form.present')" /></td>
       </tr>
       <tr class="akt">
         <td>minulý čas / jednotné číslo <br />všech podstatných jmen a <br />přídavných jmen mužského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="past"  
-                 size="29"<?php znova($_REQUEST['past'])?>
+                 size="29"<?php znova(@$_REQUEST['past'])?>
                  onfocus="aktivujKlavesnici('new_word_form.past')" /></td>
       </tr>
 
       </tr>
       <tr class="akt">
         <td>alternativní vokalizovaný tvar</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="vocalized_alternative"  
-                 size="29"<?php znova($_REQUEST['vocalized_alternative'])?>
+                 size="29"<?php znova(@$_REQUEST['vocalized_alternative'])?>
                  onfocus="aktivujKlavesnici('new_word_form.vocalized_alternative')" /></td>
       </tr>
 
 
       <tr class="akt">
         <td>jednotné číslo podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="single_female"  
-                 size="29"<?php znova($_REQUEST['single_female'])?>
+                 size="29"<?php znova(@$_REQUEST['single_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.single_female')" /></td>
       </tr>
       <tr class="akt">
         <td>množné číslo podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="plural_female"  
-                 size="29"<?php znova($_REQUEST['plural_female'])?>
+                 size="29"<?php znova(@$_REQUEST['plural_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.plural_female')" /></td>
       </tr>
       
@@ -293,125 +292,125 @@ switch ($krok) {
 
       <tr class="akt">
         <td>status constructus číslovek,<br /> jednotného čísla podstatných jmen <br />a jednotného čísla přídavných<br /> jmen mužského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_single"  
-                 size="29"<?php znova($_REQUEST['status_constructus_single'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_single'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_single')" /></td>
       </tr>
       
       <tr class="akt">
         <td>status constructus množného <br />čísla podstatných jmen <br />a přídavných jmen mužského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_plural"  
-                 size="29"<?php znova($_REQUEST['status_constructus_plural'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_plural'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_plural')" /></td>
       </tr>
       
       <tr class="akt">
         <td>status constructus jednotného <br />čísla přídavných jmen <br />ženského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_single_female"  
-                 size="29"<?php znova($_REQUEST['status_constructus_single_female'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_single_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_single_female')" /></td>
       </tr>
       <tr class="akt">
         <td>status constructus množného <br />čísla přídavných jmen <br />ženského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_plural_female"  
-                 size="29"<?php znova($_REQUEST['status_constructus_plural_female'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_plural_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_plural_female')" /></td>
       </tr>
 
 
       <tr class="akt">
         <td>status constructus jednotného čísla podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_single_noun_female"  
-                 size="29"<?php znova($_REQUEST['status_constructus_single_noun_female'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_single_noun_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_single_noun_female')" /></td>
       </tr>
       <tr class="akt">
         <td>status constructus množného čísla podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="status_constructus_plural_noun_female"  
-                 size="29"<?php znova($_REQUEST['status_constructus_plural_noun_female'])?>
+                 size="29"<?php znova(@$_REQUEST['status_constructus_plural_noun_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.status_constructus_plural_noun_female')" /></td>
       </tr>
       
       
       <tr class="akt">
         <td>jednotné číslo přídavných <br /> jmen ženského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="single_adj_female"  
-                 size="29"<?php znova($_REQUEST['single_adj_female'])?>
+                 size="29"<?php znova(@$_REQUEST['single_adj_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.single_adj_female')" /></td>
       </tr>
       <tr class="akt">
         <td>množné číslo přídavných <br /> jmen ženského rodu</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="plural_adj_female"  
-                 size="29"<?php znova($_REQUEST['plural_adj_female'])?>
+                 size="29"<?php znova(@$_REQUEST['plural_adj_female'])?>
                  onfocus="aktivujKlavesnici('new_word_form.plural_adj_female')" /></td>
       </tr>
       <tr class="akt">
         <td>budoucí čas</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="future"  
-                 size="29"<?php znova($_REQUEST['future'])?>
+                 size="29"<?php znova(@$_REQUEST['future'])?>
                  onfocus="aktivujKlavesnici('new_word_form.future')" /></td>
       </tr>
       <tr class="akt">
         <td>infinitiv</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-          <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+          <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                  name="infinitive"  
-                 size="29"<?php znova($_REQUEST['infinitive'])?>
+                 size="29"<?php znova(@$_REQUEST['infinitive'])?>
                  onfocus="aktivujKlavesnici('new_word_form.infinitive')" /></td>
       </tr>
 
       
       <tr class="akt">
         <td>rekce</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="valence"  
-               size="29"<?php znova($_REQUEST['valence'])?>
+               size="29"<?php znova(@$_REQUEST['valence'])?>
                onfocus="aktivujKlavesnici('new_word_form.valence')" /></td>
       </tr>
       
       <tr class="akt">
         <td>konjugace</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="conjugation"  
-               size="29"<?php znova($_REQUEST['conjugation'])?>
+               size="29"<?php znova(@$_REQUEST['conjugation'])?>
                onfocus="aktivujKlavesnici('new_word_form.conjugation')" /></td>
       </tr>
       
       <tr class="akt">
         <td>imperativ</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="imperative"  
-               size="29"<?php znova($_REQUEST['imperative'])?>
+               size="29"<?php znova(@$_REQUEST['imperative'])?>
                onfocus="aktivujKlavesnici('new_word_form.imperative')" /></td>
       </tr>
       
       <tr class="akt">
         <td>vokalizovaný tvar</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="vocalized"  
-               size="29"<?php znova($_REQUEST['vocalized'])?>
+               size="29"<?php znova(@$_REQUEST['vocalized'])?>
                onfocus="aktivujKlavesnici('new_word_form.vocalized')" 
                disabled="disabled"
                /></td>
@@ -419,37 +418,37 @@ switch ($krok) {
       
       <tr class="akt">
         <td>nevokalizovaný tvar</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized"  
-               size="29"<?php znova($_REQUEST['nonvocalized'])?>
+               size="29"<?php znova(@$_REQUEST['nonvocalized'])?>
                onfocus="aktivujKlavesnici('new_word_form.nonvocalized')" /></td>
       </tr>
 
       <tr class="akt">
         <td>nevokalizovaný tvar v ženském rodě – pouze u přechylovatelných</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized_female"  
-               size="29"<?php znova($_REQUEST['nonvocalized_female'])?>
+               size="29"<?php znova(@$_REQUEST['nonvocalized_female'])?>
                onfocus="aktivujKlavesnici('new_word_form.nonvocalized_female')" /></td>
       </tr>
 
     <tr class="akt">
         <td>alternativní nevokalizovaný tvar</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized_alternative"  
-               size="29"<?php znova($_REQUEST['nonvocalized_alternative'])?>
+               size="29"<?php znova(@$_REQUEST['nonvocalized_alternative'])?>
                onfocus="aktivujKlavesnici('new_word_form.nonvocalized_alternative')" /></td>
       </tr>
       
       <tr class="akt">
         <td>předložka se zájmenným sufixem (ve všech možných tvarech)</td>
-        <td<?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($_REQUEST['language ']== 1 || $_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['language ']== 1 || @$_REQUEST['language ']== 2) echo "class=\"arabic\"\n" ?>
                name="prefix"  
-               size="29"<?php znova($_REQUEST['prefix'])?>
+               size="29"<?php znova(@$_REQUEST['prefix'])?>
                onfocus="aktivujKlavesnici('new_word_form.prefix')" /></td>
       </tr>
       
